package visualiser.model;

/**
 * The properties of the boat currently being controlled by the player. Singleton.
 */
public class ThisBoat {
    private VisualiserBoat boat;
    private static ThisBoat instance = new ThisBoat();
    
    private ThisBoat(){}
    
    public static ThisBoat getInstance(){
        return instance;
    }

    public void setSailsOut(boolean sailsOut) {
        this.boat.setSailsOut(sailsOut);
    }

    public boolean isSailsOut() {
        return this.boat.isSailsOut();
    }

    public int getSourceID() {
        return this.boat.getSourceID();
    }

    public void setBoat(VisualiserBoat boat) {
        this.boat = boat;
    }
}
